-- Draws transculent cirlces at random postions with random colors

local lg = love.graphics
local random = math.random


circleTest = {}

-- This is called in love.load
function circleTest.load()
	circleTest.name = "Random Circles"	-- Name of the test
	circleTest.segments = 50			-- Default circle segments
	circleTest.samples = 500			-- Start amount
end

-- This is called in love.update
function circleTest.update()
	circleTest.samples = synchronize(circleTest.samples)
end

-- This is called in love.draw
function circleTest.draw(dt)
    for i = 1, circleTest.samples do
        local s = 20 + random(8) * 10
        local x = s + random(screenWidth - s * 2)
        local y = s + random(screenHeight - s * 2)
        local r = random(255)
        local g = random(255)
        local b = random(255)
        lg.setColor(r, g, b, 50)
		lg.circle("fill", x, y, s, circleTest.segments)
    end
end

-- This is also called in love.draw
function circleTest.debug()
	printDebug("Circles", circleTest.samples)
end
