-- Draws sprites at random postions, rotations and scales

local lg = love.graphics
local random = math.random
local deg2rad = math.pi / 180


spriteTest = {}

-- This is called in love.load
function spriteTest.load()
	spriteTest.name = "Random Sprites"						-- Name of the test
	spriteTest.sprite = lg.newImage("data/love-logo.png")	-- Sprite to load
	spriteTest.samples = 500								-- Start amount

	-- Other data
	spriteTest.spriteWidth = spriteTest.sprite:getWidth()
	spriteTest.spriteHeight = spriteTest.sprite:getHeight()
end

-- This is called in love.update
function spriteTest.update()
	spriteTest.samples = synchronize(spriteTest.samples)
end

-- This is called in love.draw
function spriteTest.draw(dt)
	lg.setColor(255, 255, 255, 255)

    for i = 1, spriteTest.samples do
        local s = 0.1 + random(9) * 0.1
		local w = spriteTest.spriteWidth * s
		local h = spriteTest.spriteHeight * s
        local x = w / 2 + random(screenWidth - w)
        local y = h / 2 + random(screenHeight - h)
		local r = random(360) * deg2rad
		lg.draw(spriteTest.sprite, x, y, r, s, s, spriteTest.spriteWidth / 2, spriteTest.spriteHeight / 2)
    end
end

-- This is also called in love.draw
function spriteTest.debug()
	printDebug("Sprites", spriteTest.samples)
end
