-- Draws texts to random postions with random colors

local lg = love.graphics
local random = math.random


textTest = {}

-- This is called in love.load
function textTest.load()
	textTest.name = "Random Texts"	-- Name of the test
	textTest.text = "Hello Wörld"	-- Text to print all over
	textTest.samples = 1200			-- Start amount
    textTest.font = lg.newFont("data/ubuntu.ttf", 40) -- Load big font
    lg.setFont(textTest.font)

	textTest.textWidth = textTest.font:getWidth(textTest.text)
	textTest.textHeight = textTest.font:getHeight(textTest.text)
end

-- This is called in love.update
function textTest.update(dt)
	textTest.samples = synchronize(textTest.samples)
end

-- This is called in love.draw
function textTest.draw()
	lg.setFont(textTest.font)

    for i = 1, textTest.samples do
        local x = random(screenWidth - textTest.textWidth)
        local y = random(screenHeight - textTest.textHeight)
        local r = random(255)
        local g = random(255)
        local b = random(255)
        lg.setColor(r, g, b)
        lg.print(textTest.text, x, y)
    end
end

-- This is also called in love.draw
function textTest.debug()
	printDebug("Texts", textTest.samples)
end
